Package org.eclipse.ecf.core.events

# Interface IContainerConnectedEvent

All Superinterfaces:
  `Event`, `IContainerEvent`

All Known Implementing Classes:
  `ContainerConnectedEvent`

public interface IContainerConnectedEvent extends IContainerEvent
Container connected event interface

## Method Summary

Modifier and Type
Method
Description
`ID`
`getTargetID()`
Get ID of container target (the container we are now connected to)

### Methods inherited from interface org.eclipse.ecf.core.events.IContainerEvent

`getLocalContainerID`

## Method Details

### getTargetID

ID getTargetID()
Get ID of container target (the container we are now connected to)

Returns:
  ID the ID of the container we connected to. Will not be null.